STRUCT TEMP(3)

NAME
boost::date_time::year_month_day_base - Allow rapid creation of ymd triples of different types.

SYNOPSIS

// In header: <boost/date_time/year_month_day.hpp>
template<typename YearType, typename MonthType, typename DayType>
struct year_month_day_base {
  // types
  typedef YearType  year_type;
  typedef MonthType month_type;
  typedef DayType   day_type;
  // construct/copy/destruct
  year_month_day_base(YearType, MonthType, DayType);
  YearType year;
  MonthType month;
  DayType day;
};

DESCRIPTION

  year_month_day_base public construct/copy/destruct

    1.

    year_month_day_base(YearType year, MonthType month, DayType day);
    A basic constructor. .RE